[Midnightbsd-cvs] src [11847] trunk/release/pc98: add pc98
laffer1 at midnightbsd.org
laffer1 at midnightbsd.org
Thu Jul 12 20:52:28 EDT 2018
Revision: 11847
http://svnweb.midnightbsd.org/src/?rev=11847
Author: laffer1
Date: 2018-07-12 20:52:27 -0400 (Thu, 12 Jul 2018)
Log Message:
-----------
add pc98
Added Paths:
-----------
trunk/release/pc98/
trunk/release/pc98/mkisoimages.sh
Added: trunk/release/pc98/mkisoimages.sh
===================================================================
--- trunk/release/pc98/mkisoimages.sh (rev 0)
+++ trunk/release/pc98/mkisoimages.sh 2018-07-13 00:52:27 UTC (rev 11847)
@@ -0,0 +1,45 @@
+#!/bin/sh
+#
+# Module: mkisoimages.sh
+# Author: Jordan K Hubbard
+# Date: 22 June 2001
+#
+# $MidnightBSD$
+#
+# This script is used by release/Makefile to build the (optional) ISO images
+# for a MidnightBSD release. It is considered architecture dependent since each
+# platform has a slightly unique way of making bootable CDs. This script
+# is also allowed to generate any number of images since that is more of
+# publishing decision than anything else.
+#
+# Usage:
+#
+# mkisoimages.sh [-b] image-label image-name base-bits-dir [extra-bits-dir]
+#
+# Where -b is passed if the ISO image should be made "bootable" by
+# whatever standards this architecture supports (may be unsupported),
+# image-label is the ISO image label, image-name is the filename of the
+# resulting ISO image, base-bits-dir contains the image contents and
+# extra-bits-dir, if provided, contains additional files to be merged
+# into base-bits-dir as part of making the image.
+
+if [ "x$1" = "x-b" ]; then
+ # This is highly x86-centric and will be used directly below.
+ bootable="-o generic-bootimage=$4/boot/cdboot"
+ shift
+else
+ bootable=""
+fi
+
+if [ $# -lt 3 ]; then
+ echo "Usage: $0 [-b] image-label image-name base-bits-dir [extra-bits-dir]"
+ exit 1
+fi
+
+LABEL=`echo "$1" | tr '[:lower:]' '[:upper:]'`; shift
+NAME="$1"; shift
+
+publisher="The MidnightBSD Project. http://www.MidnightBSD.org/"
+echo "/dev/iso9660/$LABEL / cd9660 ro 0 0" > "$1/etc/fstab"
+makefs -t cd9660 $bootable -o rockridge -o label="$LABEL" -o publisher="$publisher" "$NAME" "$@"
+rm "$1/etc/fstab"
Property changes on: trunk/release/pc98/mkisoimages.sh
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+MidnightBSD=%H
\ No newline at end of property
Added: svn:mime-type
## -0,0 +1 ##
+text/plain
\ No newline at end of property
More information about the Midnightbsd-cvs
mailing list